---
name: "gmail default"
description: >-
  This mode is used for Gmail.
  It uses the default Gmail keyboard shortcuts, which must be enabled first.
  Click "keyboard shortcuts on" in Gmail general settings.
  See the
  <a href="https://support.google.com/mail/answer/6594">keyboard shortcuts</a>.
initiallyActive: false
exclusive: false
commands:
  - name: "open email"
    description: >-
      Opens the currently selected email.
    alternates:
      - "hoping email"
      - "hope an email"
      - "kopen email"
      - "i hope an email"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "o"
  - name: "go back threads"
    description: >-
      Goes back to thread list.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "u"
  - name: "go to inbox"
    description: >-
      Goes to the inbox.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "g"
      - name: "keyPress"
        fixedArguments:
          - "i"
  - name: "go to sent"
    description: >-
      Goes to the sent mail.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "g"
      - name: "keyPress"
        fixedArguments:
          - "t"
  - name: "archive email"
    description: >-
      Archives the current email.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "e"
  - name: "compose email"
    description: >-
      Start composing a new email in a new tab.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "d"
  - name: "delete email"
    description: >-
      Deletes the current email.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "shift"
          - "3"
  - name: "expand email"
    description: >-
      Expands all messages in the current email thread.
    functions:
      - name: "type"
        fixedArguments:
          - ";"
  - name: "find email"
    description: >-
      Moves focus to the search bar.
    functions:
      - name: "type"
        fixedArguments:
          - "/"
  - name: "mark email"
    description: >-
      Marks the current email.
    alternates:
      - "merch email"
      - "mark e mail"
      - "market email"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "x"
      - name: "keyPress"
        fixedArguments:
          - "down"
  - name: "mute email"
    description: >-
      Mutes the current email.
    alternates:
      - "uti mail"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "m"
  - name: "reply email"
    description: >-
      Replies to the current email.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "r"
  - name: "reply all"
    description: >-
      Reply all to the current email.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "a"
  - name: "send email"
    description: >-
      Sends the current email.
    alternates:
      - "sunday mail"
      - "sunday mill"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "enter"
